#include "Marlin.h"
#include "planner.h"
#include "temperature.h"
#include "ConfigurationStore.h"

void Config_ResetDefault()
{
	float tmp1[NUM_AXIS] = DEFAULT_AXIS_STEPS_PER_UNIT;
	float tmp2[NUM_AXIS] = DEFAULT_MAX_FEEDRATE;
	long tmp3[NUM_AXIS] = DEFAULT_MAX_ACCELERATION;
    for (short i=0;i<4;i++) 
    {
        axis_steps_per_unit[i]=tmp1[i];  
        max_feedrate[i]=tmp2[i];  
        max_acceleration_units_per_sq_second[i]=tmp3[i];
		#ifdef SCARA
		axis_scaling[i]=1;
		#endif
    }
    
    // steps per sq second need to be updated to agree with the units per sq second
    reset_acceleration_rates();
    
    acceleration=DEFAULT_ACCELERATION;
    retract_acceleration=DEFAULT_RETRACT_ACCELERATION;
    minimumfeedrate=DEFAULT_MINIMUMFEEDRATE;
    minsegmenttime=DEFAULT_MINSEGMENTTIME;       
    mintravelfeedrate=DEFAULT_MINTRAVELFEEDRATE;
    max_xy_jerk=DEFAULT_XYJERK;
    max_z_jerk=DEFAULT_ZJERK;
    max_e_jerk=DEFAULT_EJERK;
    add_homing[X_AXIS] = add_homing[Y_AXIS] = add_homing[Z_AXIS] = 0;

	volumetric_enabled = false;
	filament_size = DEFAULT_MEASURED_FILAMENT_DIA;
	calculate_volumetric_multipliers();

SERIAL_ECHOLNPGM("Hardcoded Default Settings Loaded");

}
